CC := gcc
CXX := g++
INCLUDEDIR := .
CFLAGS := -I$(INCLUDEDIR) -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -O2

all: mksquashfs unsquashfs

mksquashfs: mksquashfs.o read_fs.o sort.o
	$(CC) $(CFLAGS) $(LDFLAGS) mksquashfs.o read_fs.o sort.o -lz -lpthread -o $@

mksquashfs.o: mksquashfs.c squashfs_fs.h mksquashfs.h global.h sort.h

read_fs.o: read_fs.c squashfs_fs.h read_fs.h global.h

sort.o: sort.c squashfs_fs.h global.h sort.h

unsquashfs: unsquashfs.o
	$(CC) $(CFLAGS) $(LDFLAGS) unsquashfs.o -lz -lpthread -o $@

unsquashfs.o: unsquashfs.c squashfs_fs.h read_fs.h global.h

clean:
	rm -f *.o
	rm -f mksquashfs
	rm -f unsquashfs
